  nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: #fff;
    font-family: sans-serif;
  }
  
  nav .logo {
    margin: 10px;
  }
  nav .logo img {
   width: 6rem;
  }
  nav ul {
    list-style: none;
    display: flex;
    flex-direction: row;  
    margin: 0;
    padding: 0;
  }
  nav ul li {
    margin: 0 10px;
    font-size: 1rem;
    position: relative;
  }
  nav ul li a {
    color: #fff;
    text-decoration: none;
    padding: 10px 50px;
    display: block;
    -webkit-transition: background-color 0.2s linear;
    -ms-transition: background-color 0.2s linear;
    transition: background-color 0.2s linear;
  }
  nav ul li a:hover {
    color:#ffffff;
    background-color: #012F43;
  }
  nav ul .dropdown li  {
    margin: 0;
  }
  nav ul .dropdown li a {
    display: block;
    padding: 10px;
    font-size: 1rem;
    -webkit-transition: background-color 0.2s linear;
    -ms-transition: background-color 0.2s linear;
    transition: background-color 0.2s linear;
  }
  nav ul .dropdown li a:hover {
    background-color: #000000;
    border-bottom: 3px solid rgb(255 255 255);
    text-decoration: none;
  }
  nav ul li > .dropdown {
    width: 100%;
    position: absolute;
    background-color: #012F43;
    visibility: hidden;
    opacity: 0;
    transition: visibility 0s, opacity 0.2s linear;
    word-wrap: break-word;
  }
  .active-link {
    color: #fff;
    background-color: #012F43;
  }
  nav ul li:hover > .dropdown {
    visibility: visible;
    opacity: 1;
    z-index: 1;
  }
  .menu-btn {
    display: none;
  }
  .product-img {
    width: 30px;
  }
  .nav-drop-menu {
    z-index: 100;
  }
  .nav-login-btn {
    padding: 10px 20px;
    background-color: #22A3F2;
    color: #fff;
    -webkit-transition: all 0.2s linear;
    -ms-transition: all 0.2s linear;
    transition: all 0.2s linear;
  }
  @media screen and (min-width: 860px) and (max-width: 1230px) { 
    nav ul li a {
      padding: 10px;
    }
  }
  @media (max-width: 1231px) {
    .dropdown li a img {
      display: none;
    }
  }
  @media (max-width: 861px) {
    nav .nav-drop-menu {
      display: none;
      flex-direction: column;
      position: fixed;
      top: 50px;
      left: 0;
      width: 100%;
      background-color: #030C16;
      padding: 30px 34px 0px 34px;
      z-index: -1;
      height: 400px;
      overflow-y: scroll;
     }
    nav ul li {
      margin: 10px 0;
    }
    nav ul .dropdown {
      position: static;
      background-color: black;
      margin: 0;
      padding: 0;
      /* border: 0.5px solid rgba(175, 171, 171, 0.775); */
    }
    nav ul .dropdown li a:hover {
      background-color: #14263a;
      border-bottom: 1px solid #14263a;
    }
    nav ul .dropdown li {
      width: 100%;
    }
    .menu-btn {
      display: block;
      cursor: pointer;
      font-size: 24px;
      margin: 10px;
    }
    nav ul li { 
      width: 50%;
    }
    nav ul li ul {
      width: 95%;
    }
    .list-float {
      float: left;
    }
    #click:checked ~ ul{
      display: block;
    }
    .dropdown li a img {
      display: none;
    }
    nav ul .dropdown li a {
      word-wrap: break-word;
    }
    nav ul li a {
      padding: 10px;
    }
    .nav-login-btn {
      width: fit-content;
    }
    .responsive-log {
      position: absolute;
      top: 73%;
    }
   
  }